default:
  # image: docker.libsdev.k-int.com/knowledgeintegration/stripes-build-agent:latest
  # See https://github.com/angular/angular/blob/main/CONTRIBUTING.md#commit-header
  image: node:latest
  before_script:
    - npm config set @folio:registry "https://nexus.libsdev.k-int.com/repository/libsdev-npm-group/"
    - npm config set @knowledge-integration:registry "https://nexus.libsdev.k-int.com/repository/libsdev-npm-hosted/"
    - npm config set -- //nexus.libsdev.k-int.com/repository/libsdev-npm-hosted/:_authToken $KI_NEXUS_NPM_TOKEN
    - npm config set -- //nexus.libsdev.k-int.com/repository/libsdev-npm-snapshots-hosted/:_authToken $KI_NEXUS_NPM_TOKEN
    # - npm config set registry "https://nexus.libsdev.k-int.com/repository/libsdev-npm-group/"
    # - npm config set @k-int:registry "https://nexus.libsdev.k-int.com/repository/libsdev-npm-hosted/"
    # - npm --registry "https://nexus.libsdev.k-int.com/repository/libsdev-npm-hosted/" adduser
    # - npm --registry "https://nexus.libsdev.k-int.com/repository/libsdev-npm-hosted/" whoami
    # - export NPM_TOKEN="$KI_NEXUS_NPM_TOKEN"
    - export NPM_TOKEN="$NPMJS_TOKEN"
    - git config --global user.name "ianibbo"
    - git config --global user.email "ian.ibbotson@k-int.com"
    - npm install
    - echo "token $GITLAB_TOKEN $NPM_TOKEN $KI_NEXUS_NPM_TOKEN"
  cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
      - .npm/
  tags:
    - docker
    - docker-18
    - ki-onprem

stages:
  - release

publish:
  stage: release
  only:
    - release
  script:
    - npm run semantic-release
    # We just need to npm-publish
    # - npm --registry "$NPM_REGISTRY" publish --tag "${versionMajMin}-dev"
